[tox]
envlist =
    py{36,37,38}
    flake8,import-order,manifest
; requires = tox-conda

[testenv]
passenv = *
setenv =
    PYTHONPATH = {toxinidir}
install_command = python -m pip install --pre --ignore-installed {opts} {packages}
deps = -e.[test]
commands =
    pytest tests --cov-report=term-missing --cov=printful_api {posargs}

[testenv:flake8]
basepython=python3.8
deps = -e.[dev]
commands =
    flake8 setup.py printful_api tests

[testenv:import-order]
basepython=python3.8
deps = -e.[dev]
commands =
    isort -rc printful_api/ tests/

[testenv:manifest]
basepython = python3.8
deps = -e.[dev]
commands =
    check-manifest -v
